| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::partial_emoji Struct Reference

An emoji reference for a component (select menus included) or a poll. More...

`#include <message.h>`

Collaboration diagram for dpp::partial_emoji:
[legend]

## Public Attributes

bool | animated {false}
| Is the emoji animated?
dpp::snowflake | id {0}
| The emoji ID value for emojis that are custom ones belonging to a guild.
std::string | name {}
| The name of the emoji.

## Detailed Description

An emoji reference for a component (select menus included) or a poll.

To set an emoji on your button or poll answer, you must set one of either the name or id fields. The easiest way for buttons is to use the dpp::component::set_emoji method.

Note
  This is a very scaled down version of dpp::emoji, we advise that you refrain from using this.

## Member Data Documentation

## ◆ animated

bool dpp::partial_emoji::animated {false}

Is the emoji animated?

Note
  Only applies to custom emojis.

## ◆ id

dpp::snowflake dpp::partial_emoji::id {0}

The emoji ID value for emojis that are custom ones belonging to a guild.

The same rules apply as with other emojis, that the bot must be on the guild where the emoji resides and it must be available for use (e.g. not disabled due to lack of boosts, etc)

## ◆ name

std::string dpp::partial_emoji::name {}

The name of the emoji.

For built in unicode emojis, set this to the actual unicode value of the emoji e.g. "😄" and not for example ":smile:"

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0